WMLImgElement (Other Classes)
Date: 2018-10-16

org.apache.wml

## Interface WMLImgElement

- All Superinterfaces:
    org.w3c.dom.Element, org.w3c.dom.Node, WMLElement
  All Known Implementing Classes:
    WMLImgElementImpl

      public interface WMLImgElement
      extends WMLElement

  The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

  'img' specifies an image in a text flow (Section 11.9, WAP WML Version 16-Jun-1999)

  Version:
    $Id: WMLImgElement.java 447258 2006-09-18 05:41:23Z mrglavas $
  Author:
    David Li

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlign()`
    `java.lang.String` | `getAlt()`
    `java.lang.String` | `getHeight()`
    `java.lang.String` | `getHspace()`
    `java.lang.String` | `getLocalSrc()`
    `java.lang.String` | `getSrc()`
    `java.lang.String` | `getVspace()`
    `java.lang.String` | `getWidth()`
    `java.lang.String` | `getXmlLang()`
    `void` | `setAlign(java.lang.String newValue)` 'align' specifies the alignment of the image within the text flow.
    `void` | `setAlt(java.lang.String newValue)` 'alt' specifies an alternative text for the image (Section 11.9, WAP WML Version 16-Jun-1999)
    `void` | `setHeight(java.lang.String newValue)` 'height' specifies the height of an image.
    `void` | `setHspace(java.lang.String newValue)` 'hspace' specifies the abount of white space to be inserted left and right (Section 11.9, WAP WML Version 16-Jun-1999)
    `void` | `setLocalSrc(java.lang.String newValue)` 'localsrc' specifies an alternative internal representation of the image.
    `void` | `setSrc(java.lang.String newValue)` 'src' specifies URI for the source images (Section 11.9, WAP WML Version 16-Jun-1999)
    `void` | `setVspace(java.lang.String newValue)` 'vspace' specifies the abount of white space to be inserted above and below (Section 11.9, WAP WML Version 16-Jun-1999)
    `void` | `setWidth(java.lang.String newValue)` 'width' specifies the width of an image.
    `void` | `setXmlLang(java.lang.String newValue)` The xml:lang that specifics the natural or formal language in which the document is written.

    - ### Methods inherited from interface org.apache.wml.WMLElement

      `getClassName, getId, setClassName, setId`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### setAlt

          void setAlt(java.lang.String newValue)

      'alt' specifies an alternative text for the image (Section 11.9, WAP WML Version 16-Jun-1999)

    - #### getAlt

          java.lang.String getAlt()

    - #### setSrc

          void setSrc(java.lang.String newValue)

      'src' specifies URI for the source images (Section 11.9, WAP WML Version 16-Jun-1999)

    - #### getSrc

          java.lang.String getSrc()

    - #### setLocalSrc

          void setLocalSrc(java.lang.String newValue)

      'localsrc' specifies an alternative internal representation of the image. (Section 11.9, WAP WML Version 16-Jun-1999)

    - #### getLocalSrc

          java.lang.String getLocalSrc()

    - #### setVspace

          void setVspace(java.lang.String newValue)

      'vspace' specifies the abount of white space to be inserted above and below (Section 11.9, WAP WML Version 16-Jun-1999)

    - #### getVspace

          java.lang.String getVspace()

    - #### setHspace

          void setHspace(java.lang.String newValue)

      'hspace' specifies the abount of white space to be inserted left and right (Section 11.9, WAP WML Version 16-Jun-1999)

    - #### getHspace

          java.lang.String getHspace()

    - #### setAlign

          void setAlign(java.lang.String newValue)

      'align' specifies the alignment of the image within the text flow. (Section 11.8, WAP WML Version 16-Jun-1999)

    - #### getAlign

          java.lang.String getAlign()

    - #### setWidth

          void setWidth(java.lang.String newValue)

      'width' specifies the width of an image. (Section 11.9, WAP WML Version 16-Jun-1999)

    - #### getWidth

          java.lang.String getWidth()

    - #### setHeight

          void setHeight(java.lang.String newValue)

      'height' specifies the height of an image. (Section 11.9, WAP WML Version 16-Jun-1999)

    - #### getHeight

          java.lang.String getHeight()

    - #### setXmlLang

          void setXmlLang(java.lang.String newValue)

      The xml:lang that specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

    - #### getXmlLang

          java.lang.String getXmlLang()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.